html {
  scroll-behavior: smooth;
}
.d-choice-section__header {
  display: flex;
  flex-direction: row;
  justify-content: flex-start;
  align-items: stretch;
  margin-bottom: 40px;
}

.d-choice-section__header-btn {
  height: 40px;
  padding: 0 30px;

  font-weight: bold;
  font-size: 12px;
  line-height: 40px;
  color: #FFFFFF;
  text-transform: uppercase;

  background: #3FBAED;
  box-shadow: 0 1px 4px rgba(0, 0, 0, 0.25);
}
@media screen and (max-width: 480px) {
  .d-choice-section__header {
    flex-direction: column;
  }
  .d-choice-section__header-btn {
    margin-bottom: 5px;

    border-radius: 5px;
  }
  .d-choice-section__header-btn:last-child {
    margin-bottom: 0;

    border-radius: 5px;
  }
}
.d-choice-section__header-btn:hover {
  background: #28B2EB;
}
.d-choice-section__header-btn_active {
  color: #333333;

  background: #F2F2F2;
  box-shadow: none;
  cursor: default;

  pointer-events: none;
}
.d-choice-section__header-btn_active:hover {
  background: #F2F2F2;
}
.d-choice-section__header-btn:first-child {
  border-top-left-radius: 5px;
  border-bottom-left-radius: 5px;
}
.d-choice-section__header-btn:last-child {
  border-top-right-radius: 5px;
  border-bottom-right-radius: 5px;
}
.d-choice-section__header-btn_active + button,
.d-choice-section__header-btn_active + select,
.d-choice-section__header-btn_active + input,
.d-choice-section__header-btn_active + textarea {
  border-radius: 0;
}
.d-info {
  margin-bottom: 40px;

  font-size: 16px;
  column-count: 3;
  column-gap: 20px;
}
@media screen and (max-width: 991px) {
  .d-info {
    column-count: 2;
  }
}
@media screen and (max-width: 768px) {
  .d-info {
    column-count: 1;
  }
}
.d-info__text {
  font-size: 16px;
  line-height: 1.5;
}
.d-info__subtitle {
  margin-bottom: 8px;

  font-weight: 700;
  font-size: 16px;
}
.d-info__btns {
  margin-bottom: 20px;
}
.d-info__btns .d-btn {
  margin-right: 16px;
}
.d-info__btns .d-btn:last-child {
  margin-right: 0;
}
.d-btn {
  display: flex;
  justify-content: center;
  align-items: center;
  height: 26px;
  padding: 4px 16px;

  font-weight: 700;
  font-size: 12px;
  line-height: 1;
  color: rgba(219, 151, 81, 0.82);
  text-decoration: none;

  background: rgba(107, 77, 77, 0.1);
  border-radius: 4px;
  border-radius: 4px;
  box-shadow: 0 1px 1px rgba(0,0,0,0.15);
}
.d-btn:hover {
  background: rgba(255, 221, 182, 0.8);
}

.d-count {
  display: inline-flex;
  align-items: center;

  border: 1px solid #3FBAED;
}
.d-count__btn {
  display: flex;
  justify-content: center;
  align-items: center;
  width: 30px;
  height: 30px;

  transition: all 0.3s;
}
.d-count__btn:hover {
  color: #FFFFFF;

  background: #3FBAED;
}

.d-count__input {
  width: 30px;
  height: 30px;

  text-align: center;

  border-right: 1px solid #3FBAED;
  border-left: 1px solid #3FBAED;
}
.d-choice-table__input::placeholder {
  text-align: center;
  color: #000000;
}
.d-add-cart-button {
  width: 32px;
  height: 32px;
  margin-left: 16px;

  background-color: #3FBAED;
  background-image: url(../img/add-cart-icon.svg);
  background-repeat: no-repeat;
  background-position: center;
  background-size: 16px;
  border-radius: 4px;
}
.d-add-cart-button:hover {
  background-color: #28B2EB;
}
.d-more {
  display: inline-flex;
  align-items: center;
  box-sizing: border-box;
  height: 32px;
  padding: 4px 8px;

  font-weight: 700;
  font-size: 14px;
  color: #3FBAED;
  text-decoration: none;

  background: #FFFFFF;
  border: 1px solid #3FBAED;
  border-radius: 4px;
  box-shadow: 0 1px 4px rgba(11, 84, 115, 0.16);

  transition: all 0.3s;
}
.d-more:hover {
  color: #FFFFFF;

  background: #3FBAED;
}
.d-more.selection__btn {
  height: 40px;
  margin-right: 30px;
  margin-left: auto;
  padding: 4px 25px;
}
.d-choice-table__el {
  display: flex;
  flex-direction: row;
  align-items: center;
}
.d-add-to-cart {
  position: relative;

  height: 50px;
  padding: 8px 68px 8px 30px;

  color: #FFFFFF;

  background: #3FBAED;
  border-radius: 4px;
  box-shadow: 0 1px 4px rgba(0, 0, 0, 0.25);

  transition: all 0.3s;
}
.d-add-to-cart:hover {
  background: #28B2EB;
}
.d-add-to-cart:after {
  content: "";
  position: absolute;
  top: calc(50% - 12px);
  right: 30px;

  width: 24px;
  height: 24px;

  background-image: url(../img/add-cart-icon.svg);
  background-repeat: no-repeat;
  background-repeat: no-repeat;
  background-size: contain;
}
.d-add {
  display: flex;
  align-items: center;
  margin-top: 20px;
}
.d-add .d-count {
  margin-right: 32px;
}
.d-filter {
  padding: 15px 50px 30px;

  background: #F9F9F9;
  border-radius: 4px;
}
.d-filter__group {
  margin-bottom: 24px;
}
.d-filter__group-name {
  margin-bottom: 12px;

  font-weight: 700;
  font-size: 18px;
  color: #333333;
}
.d-filter__group-more {
  display: none;

  font-size: 14px;
  color: #3FBAED;

  cursor: pointer;

  text-decoration-line: underline;
}
.d-filter__group-more.show {
  display: block;
}
.d-checkbox {
  display: flex;
  align-items: center;
  margin-bottom: 10px;

  font-size: 14px;
  line-height: 1;
  color: #000000;

  cursor: pointer;

  user-select: none;
}
.d-checkbox__icon {
  position: relative;

  box-sizing: border-box;
  width: 16px;
  height: 16px;
  margin-right: 12px;

  background: #FFFFFF;
  border: 1px solid #E0E0E0;
  border-radius: 2px;
}
.d-checkbox input:checked + .d-checkbox__icon {
  background: #3FBAED;
}
.d-checkbox input:checked + .d-checkbox__icon:after {
  content: "";
  position: absolute;
  top: calc(50% - 5px);
  left: calc(50% - 5px);

  width: 10px;
  height: 10px;

  background-image: url(/img/icon-check.svg);
  background-repeat: no-repeat;
  background-size: contain;
}
.d-filter__inner {
  max-height: 100px;
  margin-bottom: 12px;
  overflow: hidden;

  transition: all 0.3s;
}
.d-filter__inner.open {
  max-height: 150px;
  overflow-y: auto;
}
.d-filter__btns {
    margin-top: 20px;
  display: flex;
  align-items: center;
}
.d-filter__btn {
      margin-right: 16px;
    cursor: pointer;
    height: 32px;
    line-height: 32px;
    font-size: 12px;
    padding: 0 16px;
}
.d-filter__clear {
  font-weight: 700;
  font-size: 14px;
  color: #3FBAED;
}
.d-filter__result {
  margin-top: 60px;
}
.d-categories {
  height: 100%;
  padding: 16px;

  background: #F9F9F9;
  border-radius: 4px;
}
.d-categories__title {
  margin-bottom: 24px;

  font-weight: 700;
  font-size: 14px;
  color: #333333;
  text-transform: uppercase;
}
.d-categories__list,
.d-categories__sublist,
.d-categories__items {
  padding: 0;

  list-style: none;
}
.d-categories__sublist {
  display: none;
  padding-left: 16px;
}
.d-categories__name.opened ~ .d-categories__sublist {
    display: block;
}
.d-categories__subname.opened ~ .d-categories__items {
    display: block;
}
.d-categories__subname.opened ~ .d-categories__sublist {
    display: block;
}
.d-categories__item a {
    width: 100%;
    text-decoration: none;
}
.d-categories__name {
  position: relative;

  display: flex;
  align-items: center;
  margin-bottom: 24px;

  font-weight: 700;
  font-size: 16px;
  color: #333333;

  cursor: pointer;
}

.d-categories__subname {
  position: relative;

  display: flex;
  align-items: center;
  margin-bottom: 24px;

  font-weight: 700;
  font-size: 12px;
  color: #333333;

  cursor: pointer;
}
.d-categories__name:after,
.d-categories__subname:after {
  content: attr(data-count);

  margin-left: 12px;

  font-weight: 700;
  font-size: 12px;
  color: #828282;
}
.d-categories__items {
  display: none;
  margin-bottom: 24px;

  font-size: 12px;
  color: #333333;
}
.d-categories__items li {
  margin-bottom: 8px;
  margin-left: -4px;

  border: 4px solid transparent;
  cursor: pointer;
}
/* .d-categories__items li:hover {
  color: #FFFFFF;

  background: #3FBAED;
  border: 4px solid #3FBAED;
  border-radius: 4px;
} */
.d-order {
  position: relative;

  display: flex;
  align-items: center;

  font-size: 14px;
  color: #3FBAED;
  text-transform: uppercase;
}
.d-order:after {
  content: attr(data-count);
  position: absolute;
  top: -2px;
  right: -12px;

  display: flex;
  justify-content: center;
  align-items: center;
  min-width: 16px;
  min-height: 16px;
  padding: 4px;

  font-size: 12px;
  line-height: 0;
  color: #FFFFFF;

  background: #F70B5F;
  border-radius: 50%;
}
.d-order span {
  margin-right: 8px;
}
.in-stock {
  margin-bottom: 8px;

  font-weight: 500;
  font-size: 18px;
  color: #1A9A45;
}
.table-blue td {
  background: rgba(92, 220, 240, 0.05) !important;
}
.d-tab {
  display: none;
}
.d-tab.active {
  display: block;
}
.d-section {
  margin-top: 80px;
}
.product__desc {
  break-inside: avoid;
}
.pagination {
  display: flex;
  justify-content: flex-end;

  list-style: none;
  font-size: 16px;
  color: #828282;
  text-decoration: none;
  column-gap: 20px;
}
.pagination .page-item a {
  display: flex;
  justify-content: center;
  align-items: center;
  min-width: 34px;
  height: 34px;

  border-radius: 4px;

  transition: all 0.3s;
}
.pagination .page-item a {
  text-decoration: none;
}
.pagination .page-item:hover a {
  color: #FFFFFF;

  background: #3FBAED;
}
.pagination .page-item.active a {
  font-weight: 700;
  font-size: 18px;
  color: #FFFFFF;

  background: #3FBAED;
}
.d-title-with-btn {
  display: flex;
  justify-content: space-between;

  column-gap: 20px;
}
.d-title-with-btn .d-more.selection__btn {
  margin-top: 6px;
}
.d-pagination {
  display: flex;
  justify-content: space-between;
  align-items: center;
  margin-top: 20px;

  font-size: 16px;
  color: #828282;
}
.d-pagination .form-group {
  display: flex;
  align-items: center;
}
.d-pagination .form-control {
  height: 34px;
  margin: 0 8px;
  padding: 0 6px;

  text-align: center;
  color: #828282;

  border: 1px solid #3FBAED;
  border-radius: 4px;
}
.d-categories__items {
  padding-left: 20px
}
.d-categories__items .d-categories__subname {
  margin-bottom: 0
}
.d-categories__subname.opened {
    margin-bottom: 10px;
}
.d-filter__row {
    overflow-y: auto;
    max-height: 540px;
}
.d-filter__btn .close {
    display: none;
}
.d-filter__btn.opened .close {
    display: block;
}
.d-filter__btn.opened .open {
    display: none;
}